﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Dhgms.TplHelper.Model.Info.JobResult
{
    /// <summary>
    /// The single task job result.
    /// </summary>
    /// <typeparam name="TTaskResultClass">
    /// The type for the task result.
    /// </typeparam>
    public class SingleTask<TTaskResultClass> : Base
        where TTaskResultClass : Model.Info.TaskResult.Base, new()
    {
        /// <summary>
        /// Gets or sets the task result.
        /// </summary>
        public TTaskResultClass TaskResult { get; set; }
    }
}
