﻿// -----------------------------------------------------------------------
// <copyright file="ContinuationActionWithFailureBranching.cs" company="">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Dhgms.TplHelper.Model
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class ContinuationActionWithFailureBranching
    {
        private readonly System.Threading.Tasks.Task successTask;

        private readonly System.Threading.Tasks.Task failureTask;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="successTask"></param>
        /// <param name="failureTask"></param>
        /// <exception cref="ArgumentNullException"></exception>
        public ContinuationActionWithFailureBranching(System.Threading.Tasks.Task successTask, System.Threading.Tasks.Task failureTask)
        {
            if (successTask == null)
            {
                throw new ArgumentNullException("successTask");
            }

            if (failureTask == null)
            {
                throw new ArgumentNullException("failureTask");
            }

            this.successTask = successTask;
            this.failureTask = failureTask;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="task"></param>
        public void OnPreviousTaskCompletion(System.Threading.Tasks.Task task)
        {
            if (!task.IsFaulted)
            {
                successTask.Start();
            }
            else
            {
                failureTask.Start();
            }
        }
    }
}
